Bug 1265871 - [abrt] nautilus: strstr(): nautilus killed by SIGSEGV
[abrt] nautilus: strstr(): nautilus killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:46382ffde4f19e2f8660865c597...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 21:31 EDT by Tristian Celestin
Modified: 2016-12-20 09:43 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:43:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.79 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: core_backtrace (3.52 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: dso_list (12.80 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: environ (944 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: exploitable (82 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: maps (63.50 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: mountinfo (3.35 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: open_fds (2.31 KB, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: proc_pid_status (1006 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details
File: var_log_messages (291 bytes, text/plain)
2015-09-23 21:31 EDT, Tristian Celestin
no flags Details

  None (edit)
Description Tristian Celestin 2015-09-23 21:31:19 EDT
Description of problem:
Steps to reproduce:
1. Uninstall libreoffice
2. Use nautilus to connect to your google drive
3. Select a document in google drive that should only be previewable with libreoffice
4. Press "spacebar" to open the quick-view

Expected results:
1. Some message should display saying that this filetype can't be previewed

Received results:
1. Gnome-shell freezes, then crashes along with nautilus.

Version-Release number of selected component:
nautilus-3.17.91-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/nautilus --gapplication-service
crash_function: strstr
executable:     /usr/bin/nautilus
global_pid:     2903
kernel:         4.2.1-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 strstr at ../string/strstr.c:63
 #1 captured_event_cb at gtkscrolledwindow.c:1264
 #2 _gtk_widget_captured_event at gtkwidget.c:7404
 #3 propagate_event_down at gtkmain.c:2565
 #4 propagate_event at gtkmain.c:2613
 #5 _gtk_propagate_captured_event at gtkmain.c:2656
 #6 gtk_main_do_event at gtkmain.c:1843
 #11 g_main_context_iteration at gmain.c:3901
 #12 g_application_run at gapplication.c:2311

Potential duplicate: bug 1263616
Comment 1 Tristian Celestin 2015-09-23 21:31:22 EDT
Created attachment 1076323 [details]
File: backtrace
Comment 2 Tristian Celestin 2015-09-23 21:31:23 EDT
Created attachment 1076324 [details]
File: cgroup
Comment 3 Tristian Celestin 2015-09-23 21:31:24 EDT
Created attachment 1076325 [details]
File: core_backtrace
Comment 4 Tristian Celestin 2015-09-23 21:31:25 EDT
Created attachment 1076326 [details]
File: dso_list
Comment 5 Tristian Celestin 2015-09-23 21:31:26 EDT
Created attachment 1076327 [details]
File: environ
Comment 6 Tristian Celestin 2015-09-23 21:31:26 EDT
Created attachment 1076328 [details]
File: exploitable
Comment 7 Tristian Celestin 2015-09-23 21:31:27 EDT
Created attachment 1076329 [details]
File: limits
Comment 8 Tristian Celestin 2015-09-23 21:31:29 EDT
Created attachment 1076330 [details]
File: maps
Comment 9 Tristian Celestin 2015-09-23 21:31:30 EDT
Created attachment 1076331 [details]
File: mountinfo
Comment 10 Tristian Celestin 2015-09-23 21:31:31 EDT
Created attachment 1076332 [details]
File: namespaces
Comment 11 Tristian Celestin 2015-09-23 21:31:31 EDT
Created attachment 1076333 [details]
File: open_fds
Comment 12 Tristian Celestin 2015-09-23 21:31:32 EDT
Created attachment 1076334 [details]
File: proc_pid_status
Comment 13 Tristian Celestin 2015-09-23 21:31:33 EDT
Created attachment 1076335 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 07:34:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:43:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.